Subject: Re: [PATCH v3 2/8] net/handshake: Define handshake_sk_destruct_req

From: Simon Horman <[email-masked]>
Date: Fri, 3 Oct 2025 10:51:28 +0100

On Fri, Oct 03, 2025 at 02:31:33PM +1000, [email-masked] wrote:
> From: Alistair Francis <[email-masked]>
> 
> Define a `handshake_sk_destruct_req()` function to allow the destruction
> of the handshake req.
> 
> This is required to avoid hash conflicts when handshake_req_hash_add()
> is called as part of submitting the KeyUpdate request.
> 
> Signed-off-by: Alistair Francis <[email-masked]>
> ---
> v3:
>  - New patch

Hi Alistair,

This is a not a proper review: I'll leave that to others.
But I notice that both Clang 21.1.1 and GCC 15.2.0, when run with
-Wunused-function, flag handshake_sk_descruct_req() as unused.
Which is the case until the following patch.

As both this and the following patch are small, and touch the same file,
I'm wondering if a simple approach is to squash the two patches into one.

Or perhaps no one cares. If so, sorry for the noise.

...